--EyeTVtinator Version 1.0
--
--EyeTVtinator is little Applescript to delete all your EyeTV Recording with one click.
--
--Script made by Jan Kampling
--http://www.macmediacenter.de
--Licenesed under GNU General Public License, Free Software Foundation http://creativecommons.org/licenses/GPL/2.0/
--
--
-- Sub-Routines
--
--
on getRecCount()
	tell application "EyeTV"
		try
			launch -- apps can't receive the run event except at startup, from the Finder, so this causes an error 
		on error -- when an error happens, do nothing! 
		end try
		set recCount to count of recordings
		return recCount
	end tell
end getRecCount
--
on startdialog(recCount)
	display dialog "You will delete " & recCount & " recordings. You will not be able to recover them! Do you really want to proceed?" buttons {"Yes", "No"} default button 2 with icon stop
	if button returned of result = "Yes" then
		set myResult to "Yes"
	else
		set myResult to "No"
	end if
	return result
end startdialog
--
on norecdialog()
	display dialog "You have no EyeTV recodings to delete" buttons {"OK"} default button 1
end norecdialog
--
on eyetvstuff()
	tell application "EyeTV"
		try
			launch -- apps can't receive the run event except at startup, from the Finder, so this causes an error 
		on error
			display dialog "Could not start EyeTV, perhaps it is not installed" buttons {"OK"} default button 1
		end try
		delete every recording
	end tell
end eyetvstuff
--
-- Init
set recCount to getRecCount()
-- Main Script
if recCount is greater than 0 then
	if startdialog(recCount) is "Yes" then
		eyetvstuff()
	end if
else if recCount is 0 then
	norecdialog()
end if